MACRO BOO(3)

NAME
BOOST_PROTO_EXTENDS_USING_ASSIGN - For exposing in classes that inherit from proto::extends<> the overloaded assignment operators defined therein.

SYNOPSIS

// In header: <boost/proto/extends.hpp>
BOOST_PROTO_EXTENDS_USING_ASSIGN(Derived)

DESCRIPTION

The standard usage of proto::extends<> is to inherit from it. However, the derived class automatically gets a compiler-generated assignment operator that will hide the ones defined in proto::extends<>. Use BOOST_PROTO_EXTENDS_USING_ASSIGN() in the derived class to unhide the assignment operators defined in proto::extends<>.

See proto::extends<> for an example that demonstrates usage of BOOST_PROTO_EXTENDS_USING_ASSIGN().